﻿
using Prism.Unity;
using System.Windows;
using Microsoft.Practices.Unity;
using Prism.Modularity;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using Prism.Regions;
using Microsoft.Practices.ServiceLocation;
using Syncfusion.Windows.Tools.Controls;

namespace AccordionSample
{
    class Bootstrapper : UnityBootstrapper
    {
        protected override DependencyObject CreateShell()
        {
            return Container.Resolve<Shell>();
        }

        protected override void InitializeShell()
        {
            Application.Current.MainWindow.Show();
        }

        protected override void ConfigureModuleCatalog()
        {
            ModuleCatalog catalog = (ModuleCatalog)ModuleCatalog;
            catalog.AddModule(typeof(DataGridModule.DataGridModules));
            catalog.AddModule(typeof(AccordionModule.AccordionModules));
            catalog.AddModule(typeof(DesignTabModule.DesignTabModule));

        }

        
    }
}
