﻿using Syncfusion.Windows.Tools.Controls;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace DataGridModule
{
    /// <summary>
    /// Interaction logic for DataGridView.xaml
    /// </summary>
    public partial class DataGridView : ContentControl
    {
        public ObservableCollection<Employee> EmployeeCollection { get; set; }
        public DataGridView()
        {
            InitializeComponent();
            EmployeeCollection = new ObservableCollection<Employee>();
            EmployeeCollection.Add(new Employee("Raj", 28, "Programmer"));
            EmployeeCollection.Add(new Employee("Kumar", 28, "Programmer"));
            EmployeeCollection.Add(new Employee("Ravi", 28, "Programmer"));
            EmployeeCollection.Add(new Employee("Sekar", 28, "Programmer"));
            this.DataContext = this;
        }
    }

    public class Employee
    {
        public Employee(string name,int age,string designation)
        {
            Name = name;
            Age = age;
            Designation = designation;
        }

        public string Name { get; set; }

        public int Age { get; set; }

        public string Designation { get; set; }
    }
}
